## Cancel payment

Cancels a payment that should not go through. The customer is not charged for a cancelled payment.

Payments in a `PENDING` status, and payments in a `SUCCESSFUL` status that have not been
settled yet, can be cancelled. Once a payment is cancelled, its status changes to `CANCELLED`.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/cancel-payment HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  payment_id: string,
}
```

Returns: boolean

## Request arguments

### `payment_id` (string)

**Required**. The unique identifier of the payment to cancel. This is the `payment_id` that was
returned when the payment was created.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no payment with the provided ID exists in your
merchant account. Double check that you're using the correct payment ID.

### `NOT_CANCELLABLE`

Payment is not eligible for cancellation. This can happen if the payment is
not in a `PENDING` or `SUCCESSFUL` status, has already been settled, or its
payment method does not support cancellations.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
